Return selectable relationship paths for one root record type.
GET
/api/workspace/admin/entitlement-operations/setup/relationship-paths
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://example.com/api/workspace/admin/entitlement-operations/setup/relationship-paths"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/admin/entitlement-operations/setup/relationship-paths';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/workspace/admin/entitlement-operations/setup/relationship-pathsAuthorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”rootEntityDefinitionId
string
access_token
string
Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Responses
Section titled “Responses”OK
Media typeapplication/json
object
Data
Relationship path options returned for a selected root EntityDefinition.
object
RootEntityDefinitionId
string
Paths
Array<object>
Relationship path option that can be selected by an entitlement model.
object
Key
string
DisplayName
string
RootEntityDefinitionId
string
RootEntityDisplayName
string
LeafEntityDefinitionId
string
LeafEntityDisplayName
string
Depth
integer format: int32
Steps
Array<object>
One resolved step inside a relationship path option.
object
SortOrder
integer format: int32
FromEntityDefinitionId
string
FromEntityDisplayName
string
ToEntityDefinitionId
string
ToEntityDisplayName
string
FieldId
string
FieldDisplayName
string
Direction
integer format: int32
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": { "Paths": [ { "Steps": [ { "Direction": 0 } ] } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
Media typeapplication/json
object
Data
Relationship path options returned for a selected root EntityDefinition.
object
RootEntityDefinitionId
string
Paths
Array<object>
Relationship path option that can be selected by an entitlement model.
object
Key
string
DisplayName
string
RootEntityDefinitionId
string
RootEntityDisplayName
string
LeafEntityDefinitionId
string
LeafEntityDisplayName
string
Depth
integer format: int32
Steps
Array<object>
One resolved step inside a relationship path option.
object
SortOrder
integer format: int32
FromEntityDefinitionId
string
FromEntityDisplayName
string
ToEntityDefinitionId
string
ToEntityDisplayName
string
FieldId
string
FieldDisplayName
string
Direction
integer format: int32
Errors
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Warnings
Array<object>
object
Code
required
string
Message
required
string
Target
string
Field
string
Metadata
object
key
additional properties
string
Type
integer format: int32
Severity
integer format: int32
Success
boolean
Example
{ "Data": { "Paths": [ { "Steps": [ { "Direction": 0 } ] } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
Media typeapplication/json
object
type
string
title
string
status
integer format: int32
detail
string
instance
string
key
additional properties
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}